from Texture import *
from Thing import *

class Health(Thing):
    healthTex = None

    def __init__(self):
        if not Health.healthTex:
            Health.healthTex = Texture('health')
        Thing.__init__(self)
        
        self.value = 100
        self.texture = Health.healthTex
        self.width = 20
        self.height = 20
        self.dead = 0
        
    def draw(self):
        self.texture.draw(pos=(self.x,self.y), width=self.width, height=self.height)